---
inputType: CA10__CaAwsInstance__c
testData:
  - file: test-data.json
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        arg:
          IS_EQUAL:
            left:
              COLLECTION_SIZE:
                arg:
                  UNIT_TEST_NULL:
                    returnType: COLLECTION
            right:
              NUMBER: 0
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        arg:
          IS_EQUAL:
            left:
              COLLECTION_SIZE:
                arg:
                  COLLECTION:
                    items: []
            right:
              NUMBER: 0
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        arg:
          IS_EQUAL:
            left:
              COLLECTION_SIZE:
                arg:
                  COLLECTION:
                    items:
                      - a
                      - b
                      - c
            right:
              NUMBER: 3
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        arg:
          IS_EQUAL:
            left:
              COLLECTION_SIZE:
                arg:
                  COLLECTION:
                    items:
                      - a
                      - a
                      - a
            right:
              NUMBER: 1
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        arg:
          IS_EQUAL:
            left:
              COLLECTION_SIZE:
                arg:
                  COLLECTION:
                    items:
                      - "a"
                      - "A"
                      - " A "
                      - "\ta\n\r"
            right:
              NUMBER: 1
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required